KTextEditor::ViewCursorDCOPInterface class Reference (interfaces Library)

| # interfaces Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KTextEditor::ViewCursorDCOPInterface Class Reference

This is the main interface to the ViewCursorInterface of KTextEdit. DCOP interface to ViewCursorInterface. More...

`#include <viewcursordcopinterface.h>`

Inheritance diagram for KTextEditor::ViewCursorDCOPInterface:

[legend]
Collaboration diagram for KTextEditor::ViewCursorDCOPInterface:

[legend]
List of all members.

## DCOP Member Functions
uint | viewCursorInterfaceNumber ()
QPoint | cursorCoordinates ()
| Get the current cursor coordinates in pixels.
void | cursorPosition (uint line, uint col)
| Get the cursor position.
void | cursorPositionReal (uint line, uint col)
| Get the cursor position, calculated with 1 character per tab.
bool | setCursorPosition (uint line, uint col)
| Set the cursor position.
bool | setCursorPositionReal (uint line, uint col)
| Set the cursor position, use 1 character per tab.
uint | cursorLine ()
uint | cursorColumn ()
uint | cursorColumnReal ()
void | cursorPositionChanged ()
## Public Member Functions
| ViewCursorDCOPInterface (ViewCursorInterface *Parent, const char *name)
| Construct a new interface object for the text editor.
virtual | ~ViewCursorDCOPInterface ()
| Destructor Cleans up the object.

## Detailed Description

This is the main interface to the ViewCursorInterface of KTextEdit. DCOP interface to ViewCursorInterface.

This will provide a consistant dcop interface to all KDE applications that use it.

Author:
  Ian Reinhart Geiser <geiseri@kde.org>

Definition at line 18 of file viewcursordcopinterface.h.

## Constructor & Destructor Documentation

ViewCursorDCOPInterface::ViewCursorDCOPInterface | ( | ViewCursorInterface * | Parent,
|  | const char * | name
| ) |

  | Construct a new interface object for the text editor. Parameters:
  ParentViewCursorInterface | - The parent ViewCursorInterface object that will provide us with the functions for the interface.
Definition at line 9 of file viewcursordcopinterface.cpp. References KStdAccel::name().

ViewCursorDCOPInterface::~ViewCursorDCOPInterface | ( |  | ) | `[virtual]`

| Destructor Cleans up the object. Definition at line 15 of file viewcursordcopinterface.cpp.

## Member Function Documentation

QPoint ViewCursorDCOPInterface::cursorCoordinates | ( |  | ) |

| Get the current cursor coordinates in pixels. Definition at line 25 of file viewcursordcopinterface.cpp.

void ViewCursorDCOPInterface::cursorPosition | ( | uint | line,
|  | uint | col
| ) |

| Get the cursor position. Definition at line 30 of file viewcursordcopinterface.cpp.

void ViewCursorDCOPInterface::cursorPositionReal | ( | uint | line,
|  | uint | col
| ) |

| Get the cursor position, calculated with 1 character per tab. Definition at line 35 of file viewcursordcopinterface.cpp.

bool ViewCursorDCOPInterface::setCursorPosition | ( | uint | line,
|  | uint | col
| ) |

| Set the cursor position. Definition at line 40 of file viewcursordcopinterface.cpp.

bool ViewCursorDCOPInterface::setCursorPositionReal | ( | uint | line,
|  | uint | col
| ) |

| Set the cursor position, use 1 character per tab. Definition at line 45 of file viewcursordcopinterface.cpp.

The documentation for this class was generated from the following files:

- viewcursordcopinterface.h
- viewcursordcopinterface.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:31:00 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001